package com.xhpc.common.data.up;

public class RealtimeData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String status; //状态
    private String pileGunStatus; //枪是否归位
    private String vehicleGunStatus; //是否插枪
    private String workingVoltage; //输出电压
    private String workingCurrent; //输出电流
    private String gunLineTemperature; //枪线温度
    private String gunLineNumber; //枪线编码
    private String soc; //
    private String maxTemperature; //电池组最高温度
    private String chargingTime; //累计充电时间
    private String remainingTime; //剩余时间
    private String chargingDegree; //充电度数
    private String lossChargingDegree; //记损充电度数
    private String amountCharged; //已充金额
    private String hardwareFault; //硬件故障
    private String chargingDetailsCnt;//充电明细

    public String getChargingDetailsCnt() {

        return chargingDetailsCnt;
    }

    public void setChargingDetailsCnt(String chargingDetailsCnt) {

        this.chargingDetailsCnt = chargingDetailsCnt;
    }

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getStatus() {

        return status;
    }

    public void setStatus(String status) {

        this.status = status;
    }

    public String getPileGunStatus() {

        return pileGunStatus;
    }

    public void setPileGunStatus(String pileGunStatus) {

        this.pileGunStatus = pileGunStatus;
    }

    public String getVehicleGunStatus() {

        return vehicleGunStatus;
    }

    public void setVehicleGunStatus(String vehicleGunStatus) {

        this.vehicleGunStatus = vehicleGunStatus;
    }

    public String getWorkingVoltage() {

        return workingVoltage;
    }

    public void setWorkingVoltage(String workingVoltage) {

        this.workingVoltage = workingVoltage;
    }

    public String getWorkingCurrent() {

        return workingCurrent;
    }

    public void setWorkingCurrent(String workingCurrent) {

        this.workingCurrent = workingCurrent;
    }

    public String getGunLineTemperature() {

        return gunLineTemperature;
    }

    public void setGunLineTemperature(String gunLineTemperature) {

        this.gunLineTemperature = gunLineTemperature;
    }

    public String getGunLineNumber() {

        return gunLineNumber;
    }

    public void setGunLineNumber(String gunLineNumber) {

        this.gunLineNumber = gunLineNumber;
    }

    public String getSoc() {

        return soc;
    }

    public void setSoc(String soc) {

        this.soc = soc;
    }

    public String getMaxTemperature() {

        return maxTemperature;
    }

    public void setMaxTemperature(String maxTemperature) {

        this.maxTemperature = maxTemperature;
    }

    public String getChargingTime() {

        return chargingTime;
    }

    public void setChargingTime(String chargingTime) {

        this.chargingTime = chargingTime;
    }

    public String getRemainingTime() {

        return remainingTime;
    }

    public void setRemainingTime(String remainingTime) {

        this.remainingTime = remainingTime;
    }

    public String getChargingDegree() {

        return chargingDegree;
    }

    public void setChargingDegree(String chargingDegree) {

        this.chargingDegree = chargingDegree;
    }

    public String getLossChargingDegree() {

        return lossChargingDegree;
    }

    public void setLossChargingDegree(String lossChargingDegree) {

        this.lossChargingDegree = lossChargingDegree;
    }

    public String getAmountCharged() {

        return amountCharged;
    }

    public void setAmountCharged(String amountCharged) {

        this.amountCharged = amountCharged;
    }

    public String getHardwareFault() {

        return hardwareFault;
    }

    public void setHardwareFault(String hardwareFault) {

        this.hardwareFault = hardwareFault;
    }

}
